package com.qmth.boot.core.ai.model.llm.score;

/**
 * 评分模式
 */
public enum AutoScoreModel {

    /**
     * 按得分点给分模式
     */
    POINT,

    /**
     * 按档次给分模式
     */
    LEVEL;

    public static AutoScoreModel find(String text) {
        for (AutoScoreModel type : values()) {
            if (type.toString().equalsIgnoreCase(text)) {
                return type;
            }
        }
        return null;
    }

}
